summaryrefslogtreecommitdiff
path: root/tests/mv/part-rename
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2002-06-15 10:19:36 +0000
committerJim Meyering <jim@meyering.net>2002-06-15 10:19:36 +0000
commit2fd73898d2c2f3372f98e6d7c7bff5735c1dc95a (patch)
tree9d166626d85531e0e299995f0bff3769224e9fb1 /tests/mv/part-rename
parent4726bde47533df74a5e07a18cb002becb92c720b (diff)
downloadcoreutils-2fd73898d2c2f3372f98e6d7c7bff5735c1dc95a.tar.xz
use trap stuff from sample-test
Diffstat (limited to 'tests/mv/part-rename')
-rwxr-xr-xtests/mv/part-rename3
1 files changed, 2 insertions, 1 deletions
diff --git a/tests/mv/part-rename b/tests/mv/part-rename
index cd2e85a95..f6da1dc4d 100755
--- a/tests/mv/part-rename
+++ b/tests/mv/part-rename
@@ -10,7 +10,7 @@ fi
pwd=`pwd`
tmp=part-ren.$$
-trap 'status=$?; cd $pwd; exec 1>&2; rm -rf $tmp $other_partition_tmpdir && exit $status' 0
+trap 'status=$?; cd $pwd; exec 1>&2; rm -rf $tmp && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
. $srcdir/setup
@@ -19,6 +19,7 @@ trap '(exit $?); exit' 1 2 13 15
if test -z "$other_partition_tmpdir"; then
(exit 77); exit
fi
+t0="$t0 $other_partition_tmpdir"
framework_failure=0
mkdir $tmp || framework_failure=1